import { Schema, model } from "mongoose";
import { JobType } from "../config/types";

const jobSchema = new Schema<JobType>({
  title: String,
  description: String,
  primarySkills: { type: [String], require: true },
  secondarySkills: { type: [String], require: false },
  salary: {
    min: Number,
    max: Number,
    currency: String,
  },
  applications: [{ type: Schema.Types.ObjectId, ref: "applications" }],
  organization: [{ type: Schema.Types.ObjectId, ref: "organizations" }],
});

const Jobs = model<JobType>("jobs", jobSchema);
export default Jobs;
