from fastapi import FastAPI
from fastapi.middleware.cors import CORSMiddleware


# from fer import FER

import routes.resume as resumes
import routes.voice as voice
import routes.facial as facial


app = FastAPI()
app.add_middleware(
    CORSMiddleware,
    allow_origins=["*"],
    allow_credentials=True,
    allow_methods=["*"],
    allow_headers=["*"],
)

app.include_router(resumes.router)
app.include_router(voice.router)
app.include_router(facial.router)

@app.get("/")
def read_root():
    return {"status": "running"}


