from typing import List, Union
from pydantic import BaseModel

class ExtractResume(BaseModel):
    resume_url: str
    user_id:str

class ResumeScores(BaseModel):
    resume_url: str
    user_id:str
    primary_skills:List[str] = []
    secondary_skills:List[str] = []
    job_desc:str

class EnrollVoice(BaseModel):
    video_url: str
    user_id:str

class VerifyVoice(BaseModel):
    video_url: str
    application_id:str
    user_id:str

class AnalyseVoice(BaseModel):
    start: int
    end:int
    application_id:str

class CountBlinks(BaseModel):
    start: int
    end:int
    application_id:str